
/*
 * NotesTableViewCell.swift
 * Thoughtless
 *
 * Created by Yohannes Wijaya on 8/5/16.
 * Copyright © 2017 Yohannes Wijaya. All respective rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 */

import UIKit

class NotesTableViewCell: UITableViewCell {
    
    // MARK: - IBOutlet Properties
    
    @IBOutlet weak var noteLabel: UILabel!
    @IBOutlet weak var noteModificationTimeStampLabel: UILabel!
    
    
    // MARK: - Helper Methods
    
    fileprivate func changeUITableViewRowActionButtonFontColor() {
        for subview in self.subviews {
            for subsubview in subview.subviews {
                if (String(describing: subsubview).range(of: "UITableViewCellActionButton") != nil) {
                    if let tableViewRowActionButton = subsubview as? UIButton {
                        tableViewRowActionButton.setTitleColor(ColorThemeHelper.reederCream(), for: .normal)
                    }
                }
            }
        }
    }
    
    // MARK: - UIView Methods
    
    override func layoutSubviews() {
        
        super.layoutSubviews()
        
        self.changeUITableViewRowActionButtonFontColor()
    }
    
    // MARK: - UIViewController Methods
    
    override func awakeFromNib() {
        super.awakeFromNib()
        
        self.noteLabel.textColor = ColorThemeHelper.reederCream()
        self.noteModificationTimeStampLabel.textColor = ColorThemeHelper.reederCream()
    }
    
}
